
Log Reporting - Bug #7392

Solr Filter not returning event entries for valid users

2015-09-29 14:26 - Robert Waltz

Status: Closed Start date: 2015-09-29

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_log_aggregation Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Story Points:    

Description

only the log is returned for the response without events. The filter acts as if a valid cn administrator is a public user.

Associated revisions

Revision 16483 - 2015-09-29 16:05 - Robert Waltz

refs #7392

adding in debugging messages.

Revision 16483 - 2015-09-29 16:05 - Robert Waltz

refs #7392

adding in debugging messages.

Revision 16484 - 2015-09-29 16:56 - Robert Waltz

refs #7392

Cannot be certain that Params are messed up before handleRequestBody. Trying a different method.

Revision 16484 - 2015-09-29 16:56 - Robert Waltz

refs #7392

Cannot be certain that Params are messed up before handleRequestBody. Trying a different method.

Revision 16485 - 2015-09-29 17:25 - Robert Waltz

refs #7392.

adding in more debugging.

Revision 16485 - 2015-09-29 17:25 - Robert Waltz

refs #7392.

adding in more debugging.
Revision 16488 - 2015-09-29 18:03 - Robert Waltz

refs #7392.

adding in more debugging. but should compile this time.

Revision 16488 - 2015-09-29 18:03 - Robert Waltz

refs #7392.

adding in more debugging. but should compile this time.

Revision 16491 - 2015-09-29 19:29 - Robert Waltz

refs #7392.

Maybe solr is only reading from the query string now and not the request params to fill in SolrParams?

Revision 16491 - 2015-09-29 19:29 - Robert Waltz

refs #7392.

Maybe solr is only reading from the query string now and not the request params to fill in SolrParams?

Revision 16509 - 2015-09-30 16:10 - Robert Waltz

refs #7392

configure solr configuration to allow passing the original http request to the Request Handlers that manipulate the solr params to include authorization

filters.

Revision 16509 - 2015-09-30 16:10 - Robert Waltz

refs #7392

configure solr configuration to allow passing the original http request to the Request Handlers that manipulate the solr params to include authorization

filters.

Revision 16510 - 2015-09-30 16:15 - Robert Waltz

closes #7392

Solr configuration allows for the original HttpServletRequest to be passed to the SolrRequestHandler. Use the HttpServletRequest to grab the

authorization parameters set by the SessionAuthorizationFilterStrategy.

Revision 16510 - 2015-09-30 16:15 - Robert Waltz

closes #7392

Solr configuration allows for the original HttpServletRequest to be passed to the SolrRequestHandler. Use the HttpServletRequest to grab the

authorization parameters set by the SessionAuthorizationFilterStrategy.
History

#1 - 2015-09-29 20:47 - Robert Waltz

- Status changed from New to In Progress

- % Done changed from 0 to 30

#2 - 2015-09-30 19:04 - Robert Waltz

- Status changed from In Progress to Closed

- % Done changed from 30 to 100

Applied in changeset d1-python:d1_python|r16510.
